ARG OPENREFINE_VERSION=3.8.2

FROM docker.io/alpine/curl as build
ARG OPENREFINE_VERSION
RUN curl --fail --location --remote-name --output-dir /tmp \
    https://github.com/OpenRefine/OpenRefine/releases/download/"$OPENREFINE_VERSION"/openrefine-linux-"$OPENREFINE_VERSION".tar.gz
RUN tar --extract --file /tmp/openrefine-linux-"$OPENREFINE_VERSION".tar.gz

FROM docker.io/library/eclipse-temurin:21-jre
ARG OPENREFINE_VERSION
COPY --from=build /openrefine-"$OPENREFINE_VERSION" /openrefine
ENTRYPOINT ["/openrefine/refine"]
